Summary:	A powerful yet easy to use iptables frontend
Name:		firehol
Version:	1.273
Release:	11.1%{?dist}
License:	GPLv2+
Group:		Applications/Internet
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Don't start the firewall automatically
Patch0:		firehol-1.273-noautostart.patch
# Update get-iana.sh to newer format
Patch1:		firehol-1.273-getiana.patch

URL:		http://firehol.sourceforge.net
BuildArch:	noarch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	bash >= 2.04
Requires:	fileutils >= 4.0.36
Requires:	gawk >= 3.0
Requires:	grep >= 2.4.2
Requires:	iproute >= 2.2.4
Requires:	iptables >= 1.2.4
Requires:	kernel >= 2.4
Requires:	less
Requires:	kmod
Requires:	net-tools >= 1.57
Requires:	sed >= 3.02
Requires:	sh-utils >= 2.0
Requires:	textutils >= 2.0.11
Requires:	util-linux >= 2.11

Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts


%description
FireHOL is a generic firewall generator, meaning that you can design any kind
of local or routing stateful packet filtering firewalls with ease. Install
FireHOL if you want an easy way to configure stateful packet filtering
firewalls on Linux hosts and routers.

FireHOL uses an extremely simple but powerful way to define firewall rules
which it turns into complete stateful iptables firewalls.

You can run FireHOL with the 'helpme' argument, to get a configuration file for
the system run, which you can modify according to your needs. The default
configuration file will allow only client traffic on all interfaces.

%prep
%setup -q
%patch0 -p1 -b .noautostart
%patch1 -p1 -b .getiana

%build

%install
rm -rf %{buildroot}
install -D -p -m 755 firehol.sh %{buildroot}%{_initrddir}/firehol
install -D -p -m 640 examples/client-all.conf %{buildroot}/etc/firehol/firehol.conf

# Install man files
mkdir -p %{buildroot}%{_mandir}/man{1,5}
install -p -m 644 man/*.1 %{buildroot}/%{_mandir}/man1
install -p -m 644 man/*.5 %{buildroot}/%{_mandir}/man5

# Executables
mkdir -p %{buildroot}%{_libexecdir}/firehol
install -p -m 755 *.sh %{buildroot}%{_libexecdir}/firehol

# Install runtime directories
mkdir -p %{buildroot}%{_sysconfdir}/firehol/services
mkdir -p %{buildroot}%{_localstatedir}/spool/firehol


%post 
/sbin/chkconfig --add firehol

%preun
if [ $1 = 0 ] ; then
	/sbin/service firehol stop >/dev/null 2>&1
	/sbin/chkconfig --del firehol
fi

%postun
if [ "$1" -ge "1" ] ; then
	/sbin/service firehol condrestart >/dev/null 2>&1 || :
fi


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README TODO COPYING ChangeLog WhatIsNew examples doc
%dir %{_sysconfdir}/firehol
%config(noreplace) %{_sysconfdir}/firehol/firehol.conf
%{_initrddir}/firehol
%{_libexecdir}/firehol
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz
%{_sysconfdir}/firehol/services
%{_localstatedir}/spool/firehol


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.273-11.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 02 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-10.1
- Removed the special characters from the IANA script.

* Tue Oct 02 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-10
- Updated get-iana.sh script (BZ #861799).

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.273-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb  8 2012 Kay Sievers <kay@redhat.com> - 1.273-8
- modutils are for Linux 2.4 and no longer provided; depend on kmod

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.273-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.273-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 22 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-5
- Use patch instead of sed in %%prep phase.

* Fri May 15 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-4
- Spec file cleanups.

* Wed Oct 15 2008 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-3
- Use _initrddir.
- pre and post fixes.
- Disable automatical startup.

* Sun Oct 05 2008 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-2
- Fix rights of the config file.

* Sun Oct 05 2008 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.273-1
- First release.
